- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# VstParameterProperties Struct Reference

`#include <aeffectx.h>`

List of all members.

## Public Attributes
float | stepFloat
| float step
float | smallStepFloat
| small float step
float | largeStepFloat
| large float step
char | label [kVstMaxLabelLen]
| parameter label
VstInt32 | flags
VstInt32 | minInteger
| integer minimum
VstInt32 | maxInteger
| integer maximum
VstInt32 | stepInteger
| integer step
VstInt32 | largeStepInteger
| large integer step
char | shortLabel [kVstMaxShortLabelLen]
| short label, recommended: 6 + delimiter
VstInt16 | displayIndex
| index where this parameter should be displayed (starting with 0)
VstInt16 | category
| 0: no category, else group index + 1
VstInt16 | numParametersInCategory
| number of parameters in category
VstInt16 | reserved
| zero
char | categoryLabel [kVstMaxCategLabelLen]
| category label, e.g. "Osc 1"
char | future [16]
| reserved for future use

## Detailed Description

Parameter Properties used in effGetParameterProperties.

## Member Data Documentation

VstInt16 VstParameterProperties::category

0: no category, else group index + 1

char VstParameterProperties::categoryLabel[kVstMaxCategLabelLen]

category label, e.g. "Osc 1"

VstInt16 VstParameterProperties::displayIndex

index where this parameter should be displayed (starting with 0)

VstInt32 VstParameterProperties::flags

See also:
  VstParameterFlags

char VstParameterProperties::future[16]

reserved for future use

char VstParameterProperties::label[kVstMaxLabelLen]

parameter label

float VstParameterProperties::largeStepFloat

large float step

VstInt32 VstParameterProperties::largeStepInteger

large integer step

VstInt32 VstParameterProperties::maxInteger

integer maximum

VstInt32 VstParameterProperties::minInteger

integer minimum

VstInt16 VstParameterProperties::numParametersInCategory

number of parameters in category

VstInt16 VstParameterProperties::reserved

zero

char VstParameterProperties::shortLabel[kVstMaxShortLabelLen]

short label, recommended: 6 + delimiter

float VstParameterProperties::smallStepFloat

small float step

float VstParameterProperties::stepFloat

float step

VstInt32 VstParameterProperties::stepInteger

integer step

The documentation for this struct was generated from the following file:

- aeffectx.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.